package cn.reghao.bnt.web.admin.service;

import cn.reghao.bnt.web.admin.model.vo.LoginRecordInfo;
import cn.reghao.bnt.web.admin.security.form.AccountAuthToken;
import cn.reghao.jutil.jdk.web.result.Result;

import java.util.List;

/**
 * @author reghao
 * @date 2022-07-08 10:37:49
 */
public interface LoginAttemptService {
    void loginCheck(int userId);
    Result loginFailedCount(int userId, String loginId);
    void saveLoginAttempts(AccountAuthToken authToken);
    List<LoginRecordInfo> getActiveLogin();
}
